Package org.bukkit.event.raid

# Enum Class RaidStopEvent.Reason

java.lang.Object
java.lang.Enum<RaidStopEvent.Reason>
org.bukkit.event.raid.RaidStopEvent.Reason

All Implemented Interfaces:
  `Serializable`, `Comparable<RaidStopEvent.Reason>`, `Constable`

Enclosing class:
  RaidStopEvent

public static enum RaidStopEvent.Reason extends Enum<RaidStopEvent.Reason>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FINISHED`
Finished the raid.
`NOT_IN_VILLAGE`
The place where the raid occurs no longer be a village.
`PEACE`
Because the difficulty has been changed to peaceful.
`TIMEOUT`
The raid took a long time without a final result.
`UNSPAWNABLE`
Couldn't find a suitable place to spawn raiders.

## Method Summary

Modifier and Type
Method
Description
`static RaidStopEvent.Reason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RaidStopEvent.Reason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PEACE

public static final RaidStopEvent.Reason PEACE
Because the difficulty has been changed to peaceful.

### TIMEOUT

public static final RaidStopEvent.Reason TIMEOUT
The raid took a long time without a final result.

### FINISHED

public static final RaidStopEvent.Reason FINISHED
Finished the raid.

### UNSPAWNABLE

public static final RaidStopEvent.Reason UNSPAWNABLE
Couldn't find a suitable place to spawn raiders.

### NOT_IN_VILLAGE

public static final RaidStopEvent.Reason NOT_IN_VILLAGE
The place where the raid occurs no longer be a village.

## Method Details

### values

public static RaidStopEvent.Reason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RaidStopEvent.Reason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null